import { useRouter } from 'vue-router'

/**
 * 封装路由跳转的 Hook
 */
export function useNavigation() {
	// 创建 router 实例
	const router = useRouter()

	/**
	 * 跳转到指定的路由
	 * @param {string|object} to - 目标路由的路径或路由对象
	 * @param {object} params - 跳转所需的参数
	 */
	const navigateTo = (to, params) => {
		router.push({
			path: to,
			query: params
		})
	}

	return {
		navigateTo
	}
}
